I got a problem when i key in "ionic serve"


#1

C:\Users\user\Desktop\IONIC PROJECT\ionic2-test>ionic serve

ionic-hello-world@ ionic:serve C:\Users\user\Desktop\IONIC PROJECT\ionic2-test

ionic-app-scripts serve “–v2” “–address” “0.0.0.0” “–port” “8100” “–livereload-port” “35729”

[21:53:26] ionic-app-scripts 1.0.0
[21:53:26] watch started …
[21:53:26] build dev started …
[21:53:26] clean started …
[21:53:26] clean finished in 10 ms
[21:53:26] copy started …
[21:53:26] transpile started …
[21:53:32] transpile finished in 5.25 s
[21:53:32] webpack started …
[21:53:32] copy finished in 5.51 s
[21:53:44] webpack finished in 12.00 s
[21:53:44] sass started …

npm ERR! Windows_NT 6.1.7600

npm ERR! argv “C:\Program Files\nodejs\node.exe” “C:\Users\user\AppData\Roaming\npm\node_modules\npm\bin\npm-cli.js” “run” “ionic:serve” “–” “–v2” “–address” “0.0.0.0” “–port” “8100” “–livereload-port” “35729”

npm ERR! node v6.9.4
npm ERR! npm v4.1.1
npm ERR! code ELIFECYCLE
npm ERR! ionic-hello-world@ ionic:serve: ionic-app-scripts serve "--v2" "--address" "0.0.0.0" "--port" "8100" "--livereload-port" "35729"
npm ERR! Exit status 3221225501
npm ERR!
npm ERR! Failed at the ionic-hello-world@ ionic:serve script ‘ionic-app-scripts serve “–v2” “–address” “0.0.0.0” “–port” “8100” “–livereload-port” “35729”’. npm ERR! Make sure you have the latest version of node.js and npm installed.
npm ERR! If you do, this is most likely a problem with the ionic-hello-world package, npm ERR! not with npm itself.
npm ERR! Tell the author that this fails on your system:
npm ERR! ionic-app-scripts serve “–v2” “–address” “0.0.0.0” “–port” “8100” “–livereload-port” “35729” npm ERR! You can get information on how to open an issue for this project with: npm ERR! npm bugs ionic-hello-world
npm ERR! Or if that isn’t available, you can get their info via:
npm ERR! npm owner ls ionic-hello-world
npm ERR! There is likely additional logging output above. npm ERR! Please include the following file with any support request:
npm ERR! C:\Users\user\Desktop\IONIC PROJECT\ionic2-test\npm-debug.log
There was an error serving your Ionic application: There was an error with the spawned command: serve

any one have a clue with this problem? im at the end of the road now
I sorry im still new, please bare with me and here is my > ionic info
Cordova CLI: 6.5.0
Ionic Framework Version: 2.0.0-rc.5
Ionic CLI Version: 2.2.1
Ionic App Lib Version: 2.2.0
Ionic App Scripts Version: 1.0.0
ios-deploy version: Not installed
ios-sim version: Not installed
OS: Windows 7
Node Version: v6.9.4
Xcode version: Not installed

—edit—

it seem when i run “npm install” i manage to hit this wall…i hope all the expert sensei can help me

npm WARN optional SKIPPING OPTIONAL DEPENDENCY: fsevents@^1.0.0 (node_modules\chokidar\node_modules\fsevents):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for fsevents@1.0.17: wanted {“os”:“darwin”,“arch”:“any”} (current: {“os”:“win32”,“arch”:“x64”}

im sorry about this edit post haha

back to squre one :frowning:


#2

Sooo, are we all set or is there still an issue?


#3

actually its still an issue from the early post, im sorry for the touble.

is it a proble with my ip address?
or is it with ioni heloo world?
i dont think npm install will help cause i try 3-4 times…

do you have any idea about this sir mharton?


#4

welll… sir King_isssacz… I can’t tell from the information your have provided.
Can you run

ionic info

and post the output here?


#5

sure no problem =)

Your system information:
ordova CLI: 6.5.0
Ionic CLI Version: 2.2.1
Ionic App Lib Version: 2.2.0
ios-deploy version: Not installed
ios-sim version: Not installed
OS: Windows 7
Node Version: v6.9.4
Xcode version: Not installed